org.mozilla.javascript

## Class PolicySecurityController.SecureCaller

- java.lang.Object
- - org.mozilla.javascript.PolicySecurityController.SecureCaller

- Enclosing class:
    PolicySecurityController

      public abstract static class PolicySecurityController.SecureCaller
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicySecurityController.SecureCaller()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `call(Callable callable, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicySecurityController.SecureCaller

          public PolicySecurityController.SecureCaller()

  - ### Method Detail

    - #### call

          public abstract java.lang.Object call(Callable callable,
                              Context cx,
                              Scriptable scope,
                              Scriptable thisObj,
                              java.lang.Object[] args)